Cyberduck Mountain Duck CLI

#3261 closed defect (worksforme)

Successful name lookups cached forever

Reported by: bierbo24 Owned by: dkocher
Priority: normal Milestone: 3.3
Component: core Version: 3.3b2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I connect to a FTP server using DNS everything works fine. Later when I try to reconnect to this FTP it doesn't work.

Cyberduck tries to reconnect to the old IP (it seems that the old IP is cached forever). I have to close Cyberduck to be able to connect again to this server.

This wouldn't be such a big problem, but the IP of this server changes every 8 hours. So everyday I have to tell a lot of people, who also use Cyberduck, because it is the best FTP client, that the server isn't down and they have to close Cyberduck.

Change History (6)

comment:1 Changed on Jun 23, 2009 at 10:10:10 AM by dkocher

  • Summary changed from DynDNS problems to Successful name lookups cached forever

This was discussed in #2839 and #2606 before. We set the networkaddress.cache.ttl property to 10 seconds but that does not seem to work. Will have to investigate further.

comment:2 Changed on Jun 23, 2009 at 10:14:31 AM by dkocher

Please try clearing the DNS cache held by OS X using Terminal.app

dscacheutil -flushcache

comment:3 Changed on Jun 23, 2009 at 10:42:40 AM by anonymous

Clearing the DNS cache doesn't seem to help

comment:4 follow-up: Changed on Sep 12, 2009 at 7:32:46 PM by bierbo24

  • Version changed from 3.2 to 3.3b2

It seems to be fixed with newest version and Snow Leopard

comment:5 in reply to: ↑ 4 Changed on Sep 12, 2009 at 7:35:24 PM by dkocher

  • Milestone set to 3.3
  • Resolution set to worksforme
  • Status changed from new to closed

Replying to bierbo24:

It seems to be fixed with newest version and Snow Leopard

I suppose this is now working due to the switch to Java 6.

comment:6 Changed on Jan 6, 2010 at 9:55:08 AM by dkocher

#4061 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software